Package org.apache.sling.resourceresolver.impl.providers

# Class ResourceProviderTracker

java.lang.Object
org.apache.sling.resourceresolver.impl.providers.ResourceProviderTracker

All Implemented Interfaces:
  `ResourceProviderStorageProvider`

public class ResourceProviderTracker extends Object implements ResourceProviderStorageProvider
This service keeps track of all resource providers.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static interface`
`ResourceProviderTracker.ChangeListener`
`static interface`
`ResourceProviderTracker.ObservationReporterGenerator`

## Constructor Summary

Constructors
Constructor
Description
`ResourceProviderTracker()`

## Method Summary

Modifier and Type
Method
Description
`void`
`activate(org.osgi.framework.BundleContext bundleContext, org.osgi.service.event.EventAdmin eventAdmin, ResourceProviderTracker.ChangeListener listener)`
`void`
`deactivate()`
`void`
`fill(org.apache.sling.api.resource.runtime.dto.RuntimeDTO dto)`
`ResourceProviderStorage`
`getResourceProviderStorage()`
`void`
`setObservationReporterGenerator(ResourceProviderTracker.ObservationReporterGenerator generator)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ResourceProviderTracker

public ResourceProviderTracker()

## Method Details

### activate

public void activate(org.osgi.framework.BundleContext bundleContext, org.osgi.service.event.EventAdmin eventAdmin, ResourceProviderTracker.ChangeListener listener)

### deactivate

public void deactivate()

### setObservationReporterGenerator

public void setObservationReporterGenerator(ResourceProviderTracker.ObservationReporterGenerator generator)

### fill

public void fill(org.apache.sling.api.resource.runtime.dto.RuntimeDTO dto)

### getResourceProviderStorage

public ResourceProviderStorage getResourceProviderStorage()

Specified by:
  `getResourceProviderStorage` in interface `ResourceProviderStorageProvider`